본문 바로가기

Game Programming

ARFoundation 4.0.9 ARCore issue.

10월 6일인가 업데이트 된 4.0.9가 있습니다.

 

이런 ARCore도 업뎃 되었네요.

 

한번 적용해 보았습니다. 아무래도 이슈가 있다보니 고칠게 있었거든요.

 

결론적으로는 4.0.8 쓰는 게 좋습니다.

 

우선 빌드시에 gradle 5.7.4 이상이 필요합니다. 이 부분은 다운로드 받아서 처리하면 되지만

 

developers.google.com/ar/develop/unity/android-11-build

 

상기 내용처럼 해야합니다.

 

AndroidManifest.xml:30:9-54 이거 자주 볼겁니다.

 

그런데...그냥 업뎃하면 빌드 사이즈가 x2가 되는 마법이 보여지네요.

 

클린 패키징하는 것도 방법이지만 쓰던데로 바꾸는 게 속편합니다. 별다른 기능 추가가 없어서 말이죠.

 

본격적인 AR시장이 열리는 것 같네요.

 

잘 살아봐요.